Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdflib
Class HDFLibraryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              ncsa.hdf.hdflib.HDFException
                  ncsa.hdf.hdflib.HDFLibraryException

All Implemented Interfaces:
  java.io.Serializable

    public class HDFLibraryException

extends HDFException

The class HDFException returns errors raised by the HDF library.

In principle, this includes any and all errors possible from the HDF library. However, most error conditions are not yet detected in this version of the Java interface. This will be added in future releases. The only HDF library error currently raised are errors in Hopen, such as ``file not found''.

See Also:
  Serialized Form

Field Summary

Fields inherited from class ncsa.hdf.hdflib.HDFException
`HDFExceptionMessage, HDFMessage, OutOfMemoryMessage`

Constructor Summary
`HDFLibraryException()`
`HDFLibraryException(int err)`
`HDFLibraryException(java.lang.String s)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDFLibraryException

    public HDFLibraryException()

### HDFLibraryException

    public HDFLibraryException(java.lang.String s)

### HDFLibraryException

    public HDFLibraryException(int err)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `HDFException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD